\version "2.15.32"

\pointAndClickOff

\header {
  title = "Title"
}

\paper {
  line-width = 180
  %% This prints the titles defined in the header block of included files
  print-all-headers = ##t  
  %% "Table of Contents" > "Indice"
  tocTitleMarkup = \markup \huge \column {
    \fill-line { \null "Indice" \null }
    \hspace #1
  }
  %% Increase title fonts
  tocItemMarkup = \markup \large \fill-line {
    \fromproperty #'toc:text \fromproperty #'toc:page
  }
  %% Add the tocSect
  tocSectMarkup = \markup \large \column {
    \hspace #1
    \fill-line { \null \italic \fromproperty #'toc:text \null }
    \hspace #1
  }
  
  top-margin = 15
  bottom-margin = 20
  score-markup-spacing = 
    #'((basic-distance . 15)
       (minimum-distance . 10)
       (padding . 8)
       (stretchability . 20))
  system-system-spacing =
      #'((basic-distance . 10)
         (minimum-distance . 8)
         (padding . 5)
         (stretchability . 15))
}

tocSect =
#(define-music-function (parser location text) (markup?)
   (add-toc-item! 'tocSectMarkup text))

\markuplist \table-of-contents
\pageBreak

\markup { \null }
\pageBreak

\tocSect \markup { 1st Section}
\tocItem \markup "1st item"
\include "book1.ly"
\pageBreak

\tocItem \markup "2nd item"
\include "book2.ly"
\pageBreak

% Add some blank page to get a multiple of 4
\markup { \null }
